Page MenuHomeFreeBSD

Update Logitechmediaserver to 7.9.1 snapshot
ClosedPublic

Authored by mark_tranquillussoftware.co.uk on Jul 16 2017, 7:36 PM.

Details

Summary

Update to 7.9.1 snapshot to fully support spotty plugin for Spotify support.

Patch libicu to fix build on clang 4 on 11.1

Test Plan

Ran poudriere builds on 10.3 i386 and 10.3 amd64. Both build fine, but show plist issues (as does 11.1 I'm developing on) -I think it's something to do with the Perl arch fixes @woodsb02 did, so I'm not touching it.

Runs fine on 11.1

portlint:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: possible use of absolute pathname "/var/db/logitechmedi...".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: "LIB_DEPENDS" has to appear earlier.
WARN: Makefile: "BUILD_DEPENDS" has to appear earlier.
WARN: Makefile: "RESTRICTED" found. do not forget to update ports/LEGAL.
0 fatal errors and 6 warnings found.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 edited edge metadata.Jul 16 2017, 10:58 PM

Hi Mark,

Thanks for the patch. It looks ok at first glance.

Can you please let us know what testing you have performed, by filling in the phabricator "test plan" section?

Thanks,
Ben

audio/logitechmediaserver/Makefile
5 ↗(On Diff #30842)

PORTREVISION should be removed when updating to a new version

Can you please let us know what testing you have performed, by filling in the phabricator "test plan" section?

Done

ultima set the repository for this revision to rP FreeBSD ports repository.Jul 19 2017, 9:14 PM
ultima added a subscriber: ultima.Jul 19 2017, 9:29 PM

I'm not able to see the entire makefile on this diff, however looking at it, there are a few things out of order. Can you please sort them out?

According to [1], USES should start the section followed by USE_x. Also keep related variables together.
So USES should be moved above USE_GITHUB. USE_RC_SUBR and SHEBANG_FILES should be in this area as well.

SLIMDIR? SLIMDBDIR? SLIMUSER? SLIMGROUP?, these should probably be changed to defined instead of default.

ONLY_FOR_ARCHS should be before the *_DEPENDS and after the license section.

[1] https://www.freebsd.org/doc/en/books/porters-handbook/porting-samplem.html#porting-samplem-order

ultima requested changes to this revision.Jul 19 2017, 9:33 PM
This revision now requires changes to proceed.Jul 19 2017, 9:33 PM
mat added a comment.Jul 19 2017, 9:50 PM

I'm not able to see the entire makefile on this diff, however looking at it, there are a few things out of order. Can you please sort them out?

This is probably because the submitter did not use arc to submit the diff but manually created it with svn diff or git diff. If, for some reason, one cannot use arcanist, one should generate them with full context like arcanist does, with svn diff -x -U32767 or git diff -U32767.

mark_tranquillussoftware.co.uk updated this revision to Diff 31012.
  • Update to latest head
  • add null check
  • Sort ONLY_FOR_ARCHS as per portlint
  • remove portrevision
  • Update Makefile

Other than that this looks good to me.

audio/logitechmediaserver/Makefile
25 ↗(On Diff #31012)

Because GH_TUPLE is a github related USE, it need to be grouped right after it. Please move it before USE_RC_SUBR.

ultima edited the test plan for this revision. (Show Details)Jul 20 2017, 6:22 PM
ultima added reviewers: matthew, lifanov.

Item 2 on portlint should also be fixed.

  • Update Makefile to reorder as per feedback
  • Change find command to work with -delete
ultima edited the test plan for this revision. (Show Details)Jul 22 2017, 7:12 PM
ultima added a comment.EditedJul 22 2017, 9:38 PM

There are many errors checking items in STAGEDIR, this needs to be fixed. The changes by @woodsb02 all check out and the port builds perfectly before this update. Upstream probably has changes that are causing these errors.

Also there is a symlink warning, probably due to using absolute path instead of relative path. If possible, please change to using relative path.

This is almost commit ready, thanks for all your contributions!

matthew requested changes to this revision.Jul 24 2017, 9:38 AM

My test builds are showing plist issues. Looks like a problem with handling the perl versioning.

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/Class/XSAccessor.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/Class/XSAccessor/Array.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/Class/XSAccessor/Heavy.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Changes.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Const/GetInfo/ANSI.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Const/GetInfo/ODBC.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Const/GetInfoReturn.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Const/GetInfoType.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/DBD.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/DBD/Metadata.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/DBD/SqlEngine.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/DBD/SqlEngine/Developers.pod
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/DBD/SqlEngine/HowTo.pod
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/FAQ.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Execute.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Request.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Response.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Serializer/Base.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Serializer/DataDumper.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Serializer/Storable.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Transport/Base.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Transport/pipeone.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Gofer/Transport/stream.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Profile.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/ProfileData.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/ProfileDumper.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/ProfileDumper/Apache.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/ProfileSubs.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/ProxyServer.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/PurePerl.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/SQL/Nano.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Util/CacheMemory.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/Util/_accessor.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/DBI/W32ODBC.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/JSON/XS.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/JSON/XS/Boolean.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Audio/Scan/Scan.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Class/XSAccessor/XSAccessor.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/DBD/SQLite/SQLite.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/DBI/DBI.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Digest/SHA1/SHA1.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/EV/EV.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Encode/Detect/Detector/Detector.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/HTML/Parser/Parser.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/IO/AIO/AIO.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/IO/Interface/Interface.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/IO/Interface/autosplit.ix
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Image/Scale.pm
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Image/Scale/Scale.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/JSON/XS/XS.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Linux/Inotify2/Inotify2.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/MP3/Cut/Gapless/Gapless.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Media/Scan/Scan.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Sub/Name/Name.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/Template/Stash/XS/XS.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/XML/Parser/Expat/Expat.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/i386-linux-thread-multi-64int/auto/YAML/XS/LibYAML/LibYAML.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Audio/Scan/Scan.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Class/XSAccessor/XSAccessor.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/DBD/SQLite/SQLite.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/DBI/DBI.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Digest/SHA1/SHA1.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/EV/EV.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Encode/Detect/Detector/Detector.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/HTML/Parser/Parser.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/IO/AIO/AIO.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/IO/Interface/Interface.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/IO/Interface/autosplit.ix
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Image/Scale/Scale.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/JSON/XS/XS.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Linux/Inotify2/Inotify2.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/MP3/Cut/Gapless/Gapless.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Media/Scan/Scan.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Sub/Name/Name.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/Template/Stash/XS/XS.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/XML/Parser/Expat/Expat.so
Error: Orphaned: %%SLIMDIR%%/CPAN/arch/%%PERL_VER%%/5.22/x86_64-linux-thread-multi/auto/YAML/XS/LibYAML/LibYAML.so
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
This revision now requires changes to proceed.Jul 24 2017, 9:38 AM
mark_tranquillussoftware.co.uk updated this revision to Diff 31132.
  • Remove another hack to make Perl 5.24 work that has been merged upstream. This was causing the plist issues
This revision was automatically updated to reflect the committed changes.